# Create Container Registry Authentication - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-create-container-registry-auth

# Create Container Registry Authentication

POST

/

gpu-instance

/

openapi

/

v1

/

repository

/

auth

/

save

Try it

Create Container Registry Authentication

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"name": "&#x3C;string>",
"username": "&#x3C;string>",
"password": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save"payload = { "name": "&#x3C;string>", "username": "&#x3C;string>", "password": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({name: '&#x3C;string>', username: '&#x3C;string>', password: '&#x3C;string>'})};fetch('https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'name' => '&#x3C;string>', 'username' => '&#x3C;string>', 'password' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save"	payload := strings.NewReader("{\n \"name\": \"&#x3C;string>\",\n \"username\": \"&#x3C;string>\",\n \"password\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"name\": \"&#x3C;string>\",\n \"username\": \"&#x3C;string>\",\n \"password\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"name\": \"&#x3C;string>\",\n \"username\": \"&#x3C;string>\",\n \"password\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-name)

name

string

required

[​](#param-username)

username

string

required

[​](#param-password)

password

string

required

##

[​](#example)

Example

Request

```
curl --request POST \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/repository/auth/save' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
"name": "",
"username": "",
"password": ""
}'
```

Response

```
{}
```

Last modified on December 23, 2024
